Subject: [Sip] Call Hold : which SDP is right?

From: [email-masked]
Date: Sat, 26 Apr 2003 14:56:00 GMT

Hi, all 

  I have a question about SIP service : HOLD

  In draft sipping-service-examples-04, the example "Call Hold" in P9, I 
think the "hold" infomation is expressed in SDP (Message F10):
  <quote>
  v=0
  o=bob 2890844527 2890844528 IN IP4 client.biloxi.example.com
  s=Session SDP
  c=IN IP4 client.biloxi.example.com
  t=3034423619 0
  m=audio 3456 RTP/AVP 0
  a=rtpmap:0 PCMU/8000
  a=sendonly
  ~~~~~~~~~~ <----- here I think express the infomation : " HOLD "
  </quote>

  In our lab, there is a Cisco SIP phone - 7940G.
  I catch the messages from Cisco's SIP phone when press "Hold" key , it 
fullfils "Call Hold" like this way:
  <quote_cisco>
  v=0
  o=Cisco-SIPUA 7825 13012 IN IP4 10.10.3.117
  s=SIP Call
  c=IN IP4 0.0.0.0
           ~~~~~~~ <---- here, Cisco using "0.0.0.0" to express "HOLD"
  t=0 0
  m=audio 28036 RTP/AVP 18 0 8 96
  a=rtpmap:18 G729/8000
  a=rtpmap:0 PCMU/8000
  a=rtpmap:8 PCMA/8000
  a=rtpmap:96 telephone-event/8000
  a=fmtp:96 0-15
 </quote_cisco> 

 First, I do not find any statements about "0.0.0.0" can express "HOLD" in 
RFC2327(SDP). Who can tell me where can I find the relative drafts talking 
about "0.0.0.0" ?
 Second, I really do not know which is the criteria ? Cisco's SIP phone is 
right or I do according to sipping-service-example-04 ? 

 Thanks a lot to give some advice ;)
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Sat, 26 Apr 2003 15:36:04 GMT

Hi akchaudhury, 

 Thank you very much! I now understand :) 

[email-masked] writes: 

>  
> 
> 
> Hello Y01317 
> 
> RFC 2543 mentions about setting the connection address to 0.0.0.0 to put a
> user on hold. 
> 
> But this method of putting a user on hold is no longer recommended as
> mentioned in RFC 3264 -
> "An Offer/Answer Model with the Session Description Protocol (SDP)". Please
> refer to section
> 8.4 of RFC 3264 which says that - 
> 
> "RFC 2543 [10] specified that placing a user on hold was accomplished by
> setting the connection
> address to 0.0.0.0.  Its usage for putting a call on hold is no longer
> recommended, since it doesn't
> allow for RTCP to be used with held streams, doesn't work with IPv6, and
> breaks with connection
> oriented media.  However, it can be useful in an initial offer when the
> offerer knows it wants to use
> a particular set of media streams and formats, but doesn't know the
> addresses and ports at the
> time of the offer.  Of course, when used, the port number MUST NOT be zero,
> which would specify
> that the stream has been disabled.  An agent MUST be capable of receiving
> SDP with a connection
> address of 0.0.0.0, in which case it means that neither RTP nor RTCP should
> be sent to the peer." 
> 
> Therefore, although a user agent should not use this method to put a user
> on hold, it should be capable
> of receiving SDP with address of c-line set to 0.0.0.0. 
> 
> I hope both of your questions have got answered here. 
> 
> regards,
> -anil- 
> 
>  
> 
>  
> 
> 
> [email-masked] on 04/26/2003 03:56:00 PM 
> 
> To:   [email-masked]
> cc:    (bcc: Anil K Chaudhary/HSSBLR) 
> 
> Subject:  [Sip] Call Hold : which SDP is right? 
> 
>  
> 
> 
> Hi, all 
>